## WebKitHitTestResult

WebKitHitTestResult — The target of a mouse event

## Properties

WebKitHitTestResultContext | context | Read / Write / Construct Only
gchar * | image-uri | Read / Write / Construct Only
WebKitDOMNode * | inner-node | Read / Write / Construct Only
gchar * | link-uri | Read / Write / Construct Only
gchar * | media-uri | Read / Write / Construct Only
gint | x | Read / Write / Construct Only
gint | y | Read / Write / Construct Only

## Types and Values

| WebKitHitTestResult
enum | WebKitHitTestResultContext

## Object Hierarchy

        GObject
        ╰── WebKitHitTestResult

## Description

This class holds context information about the coordinates specified by a GDK event.

## Functions

## Types and Values

### WebKitHitTestResult

    typedef struct _WebKitHitTestResult WebKitHitTestResult;

### enum WebKitHitTestResultContext

#### Members

WEBKIT_HIT_TEST_RESULT_CONTEXT_DOCUMENT | anywhere in the document. |
WEBKIT_HIT_TEST_RESULT_CONTEXT_LINK | a hyperlink element. |
WEBKIT_HIT_TEST_RESULT_CONTEXT_IMAGE | an image element. |
WEBKIT_HIT_TEST_RESULT_CONTEXT_MEDIA | a video or audio element. |
WEBKIT_HIT_TEST_RESULT_CONTEXT_SELECTION | the area is selected by the user. |
WEBKIT_HIT_TEST_RESULT_CONTEXT_EDITABLE | the area is editable by the user. |

## Property Details

### The `“context”` property

      “context”                  WebKitHitTestResultContext

Flags indicating the kind of target that received the event.

Flags: Read / Write / Construct Only

Default value: WEBKIT_HIT_TEST_RESULT_CONTEXT_DOCUMENT

Since: 1.1.15

### The `“image-uri”` property

      “image-uri”                gchar *

The URI of the image that is part of the target that received the event, if any.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 1.1.15

### The `“inner-node”` property

      “inner-node”               WebKitDOMNode *

The DOM node at the coordinates where the hit test happened. Keep in mind that the node might not be representative of the information given in the context property, since WebKit uses a series of heuristics to figure out that information. One common example is inner-node having the text node inside the anchor (<a>) tag; WebKit knows the whole context and will put WEBKIT_HIT_TEST_RESULT_CONTEXT_LINK in the 'context' property, but the user might be confused by the lack of any link tag in 'inner-node'.

Flags: Read / Write / Construct Only

Since: 1.3.2

### The `“link-uri”` property

      “link-uri”                 gchar *

The URI to which the target that received the event points, if any.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 1.1.15

### The `“media-uri”` property

      “media-uri”                gchar *

The URI of the media that is part of the target that received the event, if any.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 1.1.15

### The `“x”` property

      “x”                        gint

The x coordinate of the event relative to the view's window.

Flags: Read / Write / Construct Only

Default value: 0

Since: 1.10

### The `“y”` property

      “y”                        gint

The x coordinate of the event relative to the view's window.

Flags: Read / Write / Construct Only

Default value: 0

Since: 1.10